Pragence

Agents API

GET /api/v1/catalog/verticals

Summary: List the platform vertical catalog (with agents)


GET /api/v1/catalog/templates

Summary: List the marketplace template catalog


GET /api/v1/projects/{project_id}/agents

Summary: List a project's agents


GET /api/v1/projects/{project_id}/agents/{agent_key}/config-drilldown

Summary: Get configuration merge precedence drilldown for a project's agent


PATCH /api/v1/projects/{project_id}/agents/{agent_key}

Summary: Update an agent

Request Schema (UpdateAgentRequest):

PropertyTypeRequiredDescription
enabledany
configany
system_promptany
display_nameany

Response Schema (AgentResponse - Status 200):

PropertyTypeRequiredDescription
agent_keystring*
verticalstring*
base_typestring*
display_namestring*
enabledboolean*
configobject
system_promptstring

PATCH /api/v1/channels/{channel_id}

Summary: Update Channel

Request Schema (ChannelUpdateRequest):

PropertyTypeRequiredDescription
configany
target_agent_keyany
enabledany

Response Schema (ChannelResponse - Status 200):

PropertyTypeRequiredDescription
idstring*
project_idstring*
typestring*
configobject
target_agent_keyany
enabledboolean*

DELETE /api/v1/channels/{channel_id}

Summary: Delete Channel


On this page